Arduino Forum

Using Arduino => Installation & Troubleshooting => Topic started by: PlaneCrazy01 on Dec 06, 2017, 10:26 pm

Title: Error downloading ATTINY libraries from github
Post by: PlaneCrazy01 on Dec 06, 2017, 10:26 pm
Hello All,

I'm having a world of trouble trying to download and install the ATTINY libraries by D A Mellis.
When I enter this link (https://raw.githubusercontent.com/damellis/attiny/ide-1.6.x-boards-manager/package_damellis_attiny_index.json) into the preferences section and open the board manager, it says "Error downloading https://raw.githubusercontent.com/damellis/attiny/ide-1.6.x-boards-manager/package_damellis_attiny_index.json".

I've tried it on both the 1.6.8 and 1.6.10 versions of the Arduino IDE.

Any ideas on how to get it working? Is there an option to manually install it?  :smiley-confuse:

 - PlaneCrazy
Title: Re: Error downloading ATTINY libraries from github
Post by: pert on Dec 06, 2017, 11:17 pm
Works for me.

Can you open https://raw.githubusercontent.com/damellis/attiny/ide-1.6.x-boards-manager/package_damellis_attiny_index.json (https://raw.githubusercontent.com/damellis/attiny/ide-1.6.x-boards-manager/package_damellis_attiny_index.json) in your browser?

There should be a more informative error message shown in the black console window at the bottom of the Arduino IDE window after you close Boards Manager. Post that here using code tags (</> button on the toolbar).
Title: Re: Error downloading ATTINY libraries from github
Post by: PlaneCrazy01 on Dec 06, 2017, 11:29 pm
Hello Pert,

Thanks for your reply.
Yup, I can open it in the browser.
For the error message, what I posted below is literally the only message that pops up...  :smiley-confuse:
Title: Re: Error downloading ATTINY libraries from github
Post by: pert on Dec 06, 2017, 11:34 pm
Try this:
Title: Re: Error downloading ATTINY libraries from github
Post by: acharbeck on Apr 16, 2019, 09:46 am
Hello,

i have the same problem i have tried with several ways but it is not working.
have you found a solution.


Error downloading https://raw.githubusercontent.com/damellis/attiny/ide-1.6.x-boards-manager/package_damellis_attiny_index.json
Title: Re: Error downloading ATTINY libraries from github
Post by: pert on Apr 16, 2019, 09:49 am